/// A macro for generating ASCII art from text.
pub mod macro_ascii;

/// The `directory_macros` module contains macros related to directory
/// operations.
pub mod macro_directory;

/// The `file_macros` module contains macros related to file operations.
pub mod macro_file;

/// The `from_number_macros` module contains macros related to converting
pub mod macro_from_number;

/// The `log_macros` module contains macros related to logging messages at various log levels and formats.
pub mod macro_log;

/// The `partialeq_numeric_macros` module contains macros related to the `PartialEq` trait for primitive numeric types and `Value`.
pub mod macro_partialeq_numeric;

/// The `utility_macros` module contains utility macros for common tasks such as
/// replacing placeholders in a line with values from parameters.
pub mod macro_utility;
